> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List item collections for a game

> Retrieve all item collections (types) available for a specific game, such as champions, skins, or roles.



## OpenAPI

````yaml /api/openapi.json get /v2/games/{game}/item-types
openapi: 3.1.0
info:
  title: GameBoost
  version: 2.0.0
servers:
  - url: https://api.gameboost.com
    description: GameBoost API
security:
  - BearerTokenSecurityScheme: []
tags:
  - name: Games
    description: Games
  - name: Seller Breaks
    description: Seller Breaks
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: Account Offers
    description: Account Offers
  - name: Account Orders
    description: Account Orders
  - name: Item Offers
    description: Item Offers
  - name: Item Orders
    description: Item Orders
  - name: Currency Offers
    description: Currency Offers
  - name: Currency Orders
    description: Currency Orders
  - name: Webhooks
    description: Webhook events sent to your endpoints when specific actions occur
  - name: Gift Card Offers
    description: Gift Card Offers
  - name: Gift Card Orders
    description: Gift Card Orders
paths:
  /v2/games/{game}/item-types:
    get:
      tags:
        - Games
      summary: List item collections for a game
      description: >-
        Retrieve all item collections (types) available for a specific game,
        such as champions, skins, or roles.
      parameters:
        - name: game
          in: path
          description: The slug of the game. Can be retrieved from the list of games.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A list of item collections (types) for a specific game
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/GameItemCollection'
        '401':
          $ref: '#/components/responses/ErrorUnauthenticated'
        '404':
          $ref: '#/components/responses/ErrorNotFound'
        '429':
          $ref: '#/components/responses/ErrorRateLimited'
      security:
        - BearerToken: []
components:
  schemas:
    GameItemCollection:
      description: >-
        Game item collection object representing a category or group of game
        items
      type: object
      properties:
        name:
          description: Display name of the item collection
          type: string
        slug:
          description: URL-friendly identifier for the collection
          type: string
        items_count:
          description: Total number of items in this collection
          type: integer
          nullable: true
  responses:
    ErrorUnauthenticated:
      description: >-
        User is not authenticated, happens when the API key is missing, expired
        or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
    ErrorNotFound:
      description: Resource not found, happens when the requested resource does not exist
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource not found.
    ErrorRateLimited:
      description: >-
        Rate limit exceeded, happens when you exceed the rate limit for the
        endpoint
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Too many requests.
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````